Bug 172157 - Yumex feature request: hide repodata window, allowable switches
Yumex feature request: hide repodata window, allowable switches
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-31 17:23 EST by Jasper O. Hartline
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-21 07:02:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jasper O. Hartline 2005-10-31 17:23:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
Allow users to "hide" the repodata loading windows when refreshing repositories via an option, check box, switch etc.

Also, a Section of options, allowing what yum would allow itslef, such as -C (Run from Cache) or -y (Assume yes to questions) in a section of preferences or on a side window for switches etc etc.

Version-Release number of selected component (if applicable):
Yumex development

How reproducible:
Always

Steps to Reproduce:
1.Open yumex
2.Disability to manipulate yumex while reposdata is being read.
3.Submit a feature request
  

Actual Results:  Waiting on response

Expected Results:  Should recieve a response to yay or nay on it, plus a simple reason why or why not would be excellent.

Additional info:

Fedora Core 4 system, using yumex.
Comment 1 Tim Lauridsen 2005-11-03 04:25:54 EST
(In reply to comment #0)
> Allow users to "hide" the repodata loading windows when refreshing
repositories via an option, check box, switch etc.
>

I not sure want you mean, yumex cant do nothing before the repodata is loaded.
I the current delelopment branch in CVS, i have integrated the progress dialog
in the output page.
 
> Also, a Section of options, allowing what yum would allow itslef, such as -C
(Run from Cache) or -y (Assume yes to questions) in a section of preferences or
on a side window for switches etc etc.

Yumex is not running yum in the background, it uses the Yum Python API, so the
switches dont make much sense, most of then things you can do with switches on
yum are embedded in yumex.
The '-c' run from cache is the only feature i can think of, that is missing in
yumex.



Comment 2 Tim Lauridsen 2005-11-21 07:02:04 EST
I have made a lot of improvment to the loading of metadat in the current
development edition of Yum Extender.

Note You need to log in before you can comment on or make changes to this bug.